require("nvim-web-devicons").setup({})

local mode_map = {
	NORMAL = "N",
	INSERT = "I",
	REPLACE = "R",
	COMMAND = "C",
	VISUAL = "v",
	["V-BLOCK"] = "V",
	["V-LINE"] = "V-LINE",
}

require("lualine").setup({
	options = {
		icons_enabled = false,
		theme = "nord",
	},
	sections = {
		lualine_a = {
			{
				"mode",
				fmt = function(mode)
					return mode_map[mode] or mode
				end,
			},
		},
		lualine_b = { "filename" },
		lualine_c = {
			"branch",
			"diff",
			{
				"diagnostics",
				sources = { "nvim_lsp" },
				always_visible = false,
				symbols = {
					error = function(count)
						return count .. "E"
					end,
					warn = function(count)
						return count .. "W"
					end,
					info = function(count)
						return count .. "I"
					end,
					hint = function(count)
						return count .. "H"
					end,
				},
			},
		},
		lualine_x = { "filetype" },
		lualine_y = { "progress" },
		lualine_z = { "location" },
	},
})
